Subject: Re: CCL:help:NAMD2

From: Jim Phillips <[email-masked]>
Date: Mon, 8 Mar 1999 10:29:08 -0600 (EST)

Hi,

I'm one of the NAMD2 developers.  That error message, which I admit isn't
terribly helpful, arises from a (generous but unnecessary) hard limit in
the code.  This line should shed some light on the situation:

Info: PATCH GRID IS 69 (PERIODIC) BY 69 (PERIODIC) BY 69 (PERIODIC)

Your 1000 atom system is occupying a cell which is 69 *patches* in each
dimension.  For any reasonable cutoff a patch is at least 10 A, which
means your cell is 700 A on a side.  I would suggest either not using
periodic boundaries or using a smaller cell.  In any case, NAMD's spatial
decomposition scheme is not efficient for sparse (gas-phase) problems.
This simulation appears to be a small molecule in some atomic solvent.

If this is really what you want, you will see much better performance if
you adjust the patch size to about 1/5 or 1/10 of your cell size using the
margin parameter.  As I said, NAMD is targetted at large liquid phase
simulations so your performance on this small gas will be quite poor.

-Jim

On Thu, 4 Mar 1999 [email-masked] wrote:

> 
> 
> Dear CCLers,
> 
>    Could someone help me to solve a problem with a MD simulation using
> namd2.
> 
> I downloaded namd2.0b3(binary) from the namd homepage and installed
> on my SGI machine(octance R10000 250MHz, 2cpu, IRIX6.4).
> When I ran a MD simulation with a periodic boundary condition, the job
> stopped
> with the following messages.
> 
>  .....
> Info: ****************************
> Info: STRUCTURE SUMMARY:
> Info: 1012 ATOMS
> Info: 11 BONDS
> Info: 18 ANGLES
> Info: 16 DIHEDRALS
> Info: 2 IMPROPERS
> Info: 0 EXCLUSIONS
> Info: 3033 DEGREES OF FREEDOM
> Info: 1005 HYDROGEN GROUPS
> Info: *****************************
> Info: Entering startup phase 0
> Info: Entering startup phase 1
> Info: Entering startup phase 2
> Info: Entering startup phase 3
> Info: PATCH GRID IS 69 (PERIODIC) BY 69 (PERIODIC) BY 69 (PERIODIC)
> Info: REMOVING COM VELOCITY ( -0.1068, 0.0186864, -0.00757281)
> Info: 1012 atoms assigned to node 0
> ID's not allocated in ComputeMap::storeCompute().
> ############### END of the log-file ###############
> 
> The sample job attached to the program(MD of alanine oligopeptide) runs
> without any problem.
> 
> Any comments or suggestions are appreciated.
> 
> 
> Thanks in advance,
> 
>                    Takanori Kanazawa
> 
> ***************************************************************
>                    Takanori Kanazawa
>                    E-mail : [email-masked]
> 
>                    Drug Discovery Group / CAMM
>                    Takarazuka Research Institute
>                    Novartis Pharma K.K.
>                    10-66 Miyuki-cho, Takarazuka, Hyogo 665
>                    JAPAN
> ***************************************************************
> 
> 
> 
> 
> 
> ---
> Administrivia: This message is automatically appended by the mail exploder:
> [email-masked]: Everybody | [email-masked]: Coordinator
> [email-masked]: HELP CHEMISTRY or HELP SEARCH | Gopher: www.ccl.net 73
> Anon. ftp: www.ccl.net   | [email-masked] -- archive search
>              Web: http://www.ccl.net/chemistry.html 
> ---
> 
>